#-*-coding:utf-8-*-
###########################################################################
# Eole NG - 2009
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  cf /root/LicenceEole.txt
# eole@ac-dijon.fr
#
# prelude.py
#
# Configuration de base de données mysql de Prelude
#
###########################################################################
"""
    Config pour Prelude
"""
from os import system
from os.path import isfile, isdir, join
from eolesql.config import dico_creole
PRELUDE_TABLEFILENAMES = ["/usr/share/libpreludedb/classic/mysql.sql"]
REMOVE_BDD_QUERY = "DROP DATABASE IF EXISTS %s"

VARLIB_DIRNAME = join("/var/lib/mysql/prelude")

def test():
    """
        test l'existence de la table Prelude
    """
    return not isfile("/var/lib/mysql/prelude/db.opt")

def pregen_func(db_handler):
    """
        Fonction éxécutée avant la génération si le test est bon
    """
    db_handler.delete(REMOVE_BDD_QUERY % ("prelude",))
    db_handler.simple_query("CREATE DATABASE prelude;")

def postgen_func(db_handler):
    """
        Fonction éxécutée après la génération si le test est bon
    """
    db_handler.simple_query("grant select,insert,update,delete,alter ON prelude.* TO prelude@localhost IDENTIFIED BY 'prelude'")

conf_dict = dict(test=test,
                 database="prelude",
                 filenames=PRELUDE_TABLEFILENAMES,
                 pregen=pregen_func,
                 postgen=postgen_func,
                 )
