#-*-coding:utf-8-*-
###########################################################################
# Eole NG - 2009
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  cf /root/LicenceEole.txt
# eole@ac-dijon.fr
#
# prewikka.py
#
# Configuration de base de données mysql de Prewikka
#
###########################################################################
"""
    Config pour Prewikka
"""
from os import system
from os.path import isfile, isdir, join
from eolesql.config import dico_creole
prewikka_TABLEFILENAMES = ["/usr/share/dbconfig-common/data/prewikka/install/mysql"]
REMOVE_BDD_QUERY = "DROP DATABASE IF EXISTS %s"

VARLIB_DIRNAME = join("/var/lib/mysql/prewikka")

def test():
    """
        test l'existence de la table Prewikka
    """
    return not isfile("/var/lib/mysql/prewikka/db.opt")

def pregen_func(db_handler):
    """
        Fonction éxécutée avant la génération si le test est bon
    """
    db_handler.delete(REMOVE_BDD_QUERY % ("prewikka",))
    db_handler.simple_query("CREATE DATABASE prewikka;")

def postgen_func(db_handler):
    """
        Fonction éxécutée après la génération si le test est bon
    """
    db_handler.simple_query("grant select,insert,update,delete,alter ON prewikka.* TO prewikka@localhost IDENTIFIED BY 'prewikka'")

conf_dict = dict(test=test,
                 database="prewikka",
                 filenames=prewikka_TABLEFILENAMES,
                 pregen=pregen_func,
                 postgen=postgen_func,
                 )
