#!/bin/bash

############################
# preludemanager.sh
# instructions spécifiques
# au module preludemanager
############################
#    Main
if [ -x /usr/share/eole/FonctionsEoleNg ]; then
. /usr/share/eole/FonctionsEoleNg
else
	echo 'Erreur : FonctionsEoleNg non trouvé'
	exit 1
fi

if [ -x /usr/bin/ParseDico ]; then
. /usr/bin/ParseDico
else
	echo 'Erreur : ParseDico non trouvé'
	exit 1
fi

## PrelugeManager
echo
if [ -x "/usr/bin/prelude-admin" ]; then
	echo "Création de l'utilisateur prelude-manager"
	/usr/bin/prelude-admin add prelude-manager --uid prelude --gid prelude &> /dev/null
	/usr/bin/prelude-admin chown prelude-manager --uid prelude --gid prelude &> /dev/null
else
	echo "Erreur pas de programme prelude-admin !"
fi

echo
# activation des modules mod_rewrite et mod_proxy pour apache2
echo "Chargement des modules proxy et rewrite pour apache2"
/usr/sbin/a2enmod proxy &> /dev/null
/usr/sbin/a2enmod proxy_http &> /dev/null
/usr/sbin/a2enmod rewrite &> /dev/null

echo
# Génération des bases de données
/usr/share/eole/gen_databases.py
echo
# Mise à jour des bases de données
/usr/share/eole/update_databases.py
echo

# enregistrement des sondes locales si nécéssaire
/usr/share/eole/register_local.sh

echo
