#!/bin/bash

############################
# zephirlogs.sh
# instructions spécifiques
# au module ZephirLogs
############################
#    Main
if [ -x /usr/share/eole/FonctionsEoleNg ]; then
. /usr/share/eole/FonctionsEoleNg
else
	echo 'Erreur : FonctionsEoleNg non trouvé'
	exit 1
fi

if [ -x /usr/bin/ParseDico ]; then
. /usr/bin/ParseDico
else
	echo 'Erreur : ParseDico non trouvé'
	exit 1
fi

## Enregistrement des sondes locales dans prelude-manager
# Génération d'un mot de passe pour l'enregistrement
PASS_REGISTER=`/usr/bin/pwgen -1`

launch_registerer()
{
	# on supprime les éventuels autres processus au cas où un enregistrement précédent aurait échoué
	killall -q "prelude-admin"
	prelude-admin registration-server prelude-manager --no-confirm --passwd=$PASS_REGISTER >/dev/null 2>&1 &
	# attente du lancement du serveur d'enregistrement
	serv_ok=1
	tries=0
	while [ $serv_ok -ne 0 ]
	do
		if [ $tries -ge 10 ]
		then
			echo "\nLe serveur d'enregistrement ne répond pas"
			exit 1
		fi
		tcpcheck 2 localhost:5553 | grep "alive" >/dev/null 2>&1
		serv_ok=$?
		sleep 2
		let tries+=1
		# si on attend depuis plus de 20 secondes, on abandonne
	done
}

# on force les droits sur /var/lib/prelude-correlator/dshield.dat pour éviter un plantage de la sonde
chown prelude-correlator /var/lib/prelude-correlator/dshield.dat
/usr/bin/prelude-admin list | grep "^prelude-correlator" >/dev/null 2>&1
if [ $? -ne 0 ]
then
	echo -n "Enregistrement de la sonde prelude-correlator... "
	launch_registerer
	prelude-admin register "prelude-correlator" "idmef:rw" localhost --uid=prelude-correlator --gid=prelude-correlator --passwd=$PASS_REGISTER >/dev/null 2>&1
	if [ $? -eq 0 ]
	then
		echo "OK"
	fi
fi

/usr/bin/prelude-admin list | grep '^prelude-lml' >/dev/null 2>&1
if [ $? -ne 0 ]
then
	echo -n "Enregistrement de la sonde prelude-lml... "
	launch_registerer
	prelude-admin register "prelude-lml" "idmef:w" localhost --uid=prelude --gid=prelude --passwd=$PASS_REGISTER >/dev/null 2>&1
	if [ $? -eq 0 ]
	then
		echo "OK"
	fi
fi
